Skip to main content
`Ctrl`+`K`

# PCGAMGClassicalSetType

Sets the type of classical interpolation to use with `PCGAMG`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGClassicalSetType(PC pc, PCGAMGClassicalType type)

Collective

## Input Parameters

- pc - the preconditioner context

- type - the interpolation to use, see `PCGAMGClassicalType()`

## Options Database Key

- -pc_gamg_classical_type (direct|standard) - set type of classical AMG prolongation

## See Also

KSP: Linear System Solvers, `PCGAMG`, `PCGAMGClassicalType`, `PCGAMGClassicalGetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/classical.c

## Implementations

PCGAMGClassicalSetType_GAMG() in src/ksp/pc/impls/gamg/classical.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages